import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:mitra_corporate/model/registration_model.dart';
import 'package:mitra_corporate/model/test_model.dart';

// menerima perubahan value dari onTap simpan perubahan
final registrasiProvider = StateProvider<int>((ref) => 0);
final addOrderLoadingProvider = StateProvider<bool>((ref) => false);

// mendapatkan perubahan value idTipePeriksa
final idTipePeriksaStateProvider = StateProvider<int>((ref) => 1);
// selected test provider berisi list string "idtab|idtes"
final selectedTestProvider = StateProvider<List<String>>((ref) => List.empty());
//menyimpan data temporary saat registrasi patien selama dialog masih terbuka
final registrationDataProvider =
    StateProvider<RegistrationModel>((ref) => RegistrationModel());
//temporary test list
final tempTestListProvider = StateProvider<List<TestModel>>(
  (ref) => List.empty(),
);

final orderNumberProvider = StateProvider<String>((ref) => "");
final dialogOrderActionProvider = StateProvider<String>((ref) => "new");
final selectedPacketProvider =
    StateProvider<List<String>>((ref) => List.empty(growable: true));

//edit pasien
final registrationEditPatientProvider =
    StateProvider<RegistrationModel>((ref) => RegistrationModel());
